Bug 1321648 - Bug in /etc/profile.d/colorls.sh when using the ksh shell
Summary: Bug in /etc/profile.d/colorls.sh when using the ksh shell
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: coreutils
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Vasik
QA Contact: Jakub Prokes
Petr Bokoc
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1321643
TreeView+ depends on / blocked
 
Reported: 2016-03-28 18:38 UTC by Ondrej Vasik
Modified: 2016-11-04 07:40 UTC (History)
5 users (show)

(edit)
*ksh* now correctly displays login messages

When logging in to an interactive login shell, the contents of the `/etc/profile` script are executed in order to set up an initial environment. Messages which should have been displayed to the user upon logging in to the Korn shell (ksh) were suppressed due to an internal test to determine whether the shell is a login shell that relied upon the value of the `PS1` environment variable having already been set before `/etc/profile` was executed. However, this environment variable is set in the Korn shell only after `/etc/profile` is executed, which led to messages never being displayed to *ksh* users. This update provides an alternative test that does not rely on the `PS1` variable being set before `/etc/profile` execution, with the result that messages are properly displayed to users of the Korn shell upon login.
Clone Of: 1321643
(edit)
Last Closed: 2016-11-04 07:40:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2497 normal SHIPPED_LIVE coreutils bug fix update 2016-11-03 14:11:50 UTC

Comment 8 errata-xmlrpc 2016-11-04 07:40:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2497.html


Note You need to log in before you can comment on or make changes to this bug.